Bug 62652 - PRINTING Conditional Formating with Icon Set does not print, printpreview or export to PDF
Summary: PRINTING Conditional Formating with Icon Set does not print, printpreview or ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0 target:4.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 20:55 UTC by Horst
Modified: 2013-12-15 23:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample file (12.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-03-22 20:56 UTC, Horst
Details
testing-icon-sets-PDF-export.pdf (24.49 KB, application/pdf)
2013-11-29 12:50 UTC, Gerry
Details
testing-icon-sets-source-ODS-file.ods (8.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-11-29 12:51 UTC, Gerry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horst 2013-03-22 20:55:20 UTC
Conditional Formating with Icon Set used does not show pictures/icons in Print Preview or printout or in exported PDF.
Comment 1 Horst 2013-03-22 20:56:44 UTC
Created attachment 76920 [details]
sample file
Comment 2 Gerry 2013-11-29 12:50:27 UTC
Created attachment 89992 [details]
testing-icon-sets-PDF-export.pdf

This bug is quite strange with regards to export of icon sets to PDF. It actually exports the icon sets, but very very tiny. Please have a look at attached PDF.

@Markus: Since the icon sets are exported, but just too small, is there an easy way to get them bigger in the PDF export?
Comment 3 Gerry 2013-11-29 12:51:29 UTC
Created attachment 89993 [details]
testing-icon-sets-source-ODS-file.ods

Here the source ODS file, generated in LO 4.2Beta1
Comment 4 Markus Mohrhard 2013-12-02 04:49:39 UTC
(In reply to comment #2)
> Created attachment 89992 [details]
> testing-icon-sets-PDF-export.pdf
> 
> This bug is quite strange with regards to export of icon sets to PDF. It
> actually exports the icon sets, but very very tiny. Please have a look at
> attached PDF.
> 
> @Markus: Since the icon sets are exported, but just too small, is there an
> easy way to get them bigger in the PDF export?

You might have found a way for me to fix it. Until now I thought they are rendered outside of the target document but if they are just too small I only need to find the place that is missing a resize call.
Comment 5 Markus Mohrhard 2013-12-02 05:20:29 UTC
Sadly the bugzilla script is not working right now. The commit for this fix is:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9a97d141e80d55f0f7aa3810cb4ce57a7781de5

Pending review for 4-1
Comment 6 Gerry 2013-12-02 09:27:28 UTC
Thank you very much, Markus! Also for fixing bug 72149.
Comment 7 Commit Notification 2013-12-02 11:12:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9d6a9c78cccaa5068a21b9b0e526ab60bbcfabf&h=libreoffice-4-1

don't use fixed size icon sets, fdo#62652


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.